Bug 10714 - Не работает диск ATA, подключённый через переходник ATA->SATA
: Не работает диск ATA, подключённый через переходник ATA->SATA
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-smp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/s...
:
:
:
  Show dependency tree
 
Reported: 2007-01-26 10:12 by
Modified: 2008-06-19 08:03 (History)


Attachments
dmesg c irqpoll и без (New.tar.bz2) (2.50 KB, application/octet-stream)
2007-02-18 09:43, ruslandh
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-26 10:12:16
На ядрах 2.6.18 не работает диск ATA, подключённый через переходник 
ATA(диск)->SATA(мать).
fdisk -l не видет диск.
dmesg здесь:
http://lists.altlinux.org/pipermail/sisyphus/2007-January/091520.html
На 2.6.16 всё нормально,

Если загрузиться с опцией irqpoll, то диск fdisk видет, но нельзя смонтировать 
не один раздел : 
в момент монтирования сообщается :

is not a valid block device

Я конечно понимаю, что виноват переходник, но на на 2.6.16 ведь нормально 
работает :(
------- Comment #1 From 2007-02-17 12:52:39 -------
Посмотрите, не изменилось ли поведение в kernel-image-std-smp-2.6.18-alt4 - там
приложен патч к sata_nv, немного меняющий способ инициализации:

  sata_nv: SRST sometimes fails after hotplug, use hard reset to resume
------- Comment #2 From 2007-02-18 09:43:10 -------
Created an attachment (id=1807) [details]
dmesg c irqpoll и без

К сожалению, внешне ничего не изминилось
------- Comment #3 From 2007-02-18 09:44:34 -------
(From update of attachment 1807 [details])
New.tar.bz2
------- Comment #4 From 2007-03-16 08:36:06 -------
1 Не знаю - оно-ли это (вернее скорее нет), но на всякий случай :
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=fbbb262d9ea9bdbd79d7058271560e9990bc62d3;hp=6e9d8629b5503175a4425722a1ef13eed232c650
2 К сожалению проверить без специальных телодвижений по перестановке диска со 
старого компа уже не могу - поставил этот диск на старый комп, а вместо него  
новый.
------- Comment #5 From 2007-04-25 15:05:41 -------
Похожая ситуация - похоже, чип Acard ARC-770 поддерживается плохо:

http://thread.gmane.org/gmane.linux.ide/18204

Правда, есть вероятность, что в 2.6.21 это всё-таки исправили.
------- Comment #6 From 2008-05-04 20:53:57 -------
(In reply to comment #5)
> Правда, есть вероятность, что в 2.6.21 это всё-таки исправили.
Так что просьба по возможности проверить на текущих сборках.
------- Comment #7 From 2008-05-04 21:05:22 -------
Переходник-то у меня ещё остался, а вот диск я уже продал :(
------- Comment #8 From 2008-06-19 08:03:37 -------
Так-как и ядро поменялось уже не раз и проверить я не могу, условно считаю
FIXED